'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');

let LpDialogActions = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.patchLpDialogButtonHostElements = () => {
      const buttons = this.hostElement.querySelectorAll('lp-dialog-button');
      buttons === null || buttons === void 0 ? void 0 : buttons.forEach((button, index) => {
        if (index > 0) {
          button.classList.add('ml-2');
        }
      });
    };
  }
  componentDidRender() {
    this.patchLpDialogButtonHostElements();
  }
  render() {
    return (index.h("div", { class: "mdc-dialog__actions" }, index.h("slot", null)));
  }
  get hostElement() { return index.getElement(this); }
};

exports.lp_dialog_actions = LpDialogActions;
