'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const clsx_m = require('./clsx.m-133931d3.js');

let LpSelectOption = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Whether option is selected or not.
     */
    this.selected = false;
  }
  // mdc-list-item--with-one-line
  render() {
    return (index.h("li", { class: clsx_m.clsx('mdc-list-item', {
        'mdc-list-item--selected': this.selected,
        'mdc-list-item--disabled': this.disabled,
      }), "aria-selected": this.selected, "aria-disabled": this.disabled, "data-value": this.value, role: "option" }, index.h("span", { class: "mdc-list-item__ripple" }), index.h("span", { class: "mdc-list-item__text" }, index.h("slot", null))));
  }
};

exports.lp_select_option = LpSelectOption;
