import { Component, h, Host } from '@stencil/core';
/**
 * @slot firstName - First name of the employee.
 * @slot lastName - Last name of the employee.
 */
export class LpEmployee {
  render() {
    return (h(Host, { class: "mdc-typography mdc-typography--body2" },
      h("slot", { name: "firstName" }),
      ' ',
      h("span", { class: "uppercase" },
        h("slot", { name: "lastName" }))));
  }
  static get is() { return "lp-employee"; }
}
