import { Component, h, Host } from '@stencil/core';
/**
 * Table row for header.
 *
 * @slot - Header row content.
 *
 */
export class LpTableRowHeader {
  render() {
    return (h(Host, { class: "contents" },
      h("tr", { class: "mdc-data-table__header-row" },
        h("slot", null))));
  }
  static get is() { return "lp-table-row-header"; }
}
