import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';

let LpEmployee = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "mdc-typography mdc-typography--body2" }, h("slot", { name: "firstName" }), ' ', h("span", { class: "uppercase" }, h("slot", { name: "lastName" }))));
  }
};
LpEmployee = /*@__PURE__*/ proxyCustomElement(LpEmployee, [4, "lp-employee"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-employee"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-employee":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpEmployee);
      }
      break;
  } });
}

export { LpEmployee as L, defineCustomElement as d };
