import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';

let LpTableRowHeader = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "contents" }, h("tr", { class: "mdc-data-table__header-row" }, h("slot", null))));
  }
};
LpTableRowHeader = /*@__PURE__*/ proxyCustomElement(LpTableRowHeader, [4, "lp-table-row-header"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["lp-table-row-header"];
  components.forEach(tagName => { switch (tagName) {
    case "lp-table-row-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LpTableRowHeader);
      }
      break;
  } });
}

export { LpTableRowHeader as L, defineCustomElement as d };
