import { r as registerInstance, h } from './index-5aee6d0f.js';
import { c as clsx } from './clsx.m-3c237499.js';

let LpSelectOption = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Whether option is selected or not.
     */
    this.selected = false;
  }
  // mdc-list-item--with-one-line
  render() {
    return (h("li", { class: clsx('mdc-list-item', {
        'mdc-list-item--selected': this.selected,
        'mdc-list-item--disabled': this.disabled,
      }), "aria-selected": this.selected, "aria-disabled": this.disabled, "data-value": this.value, role: "option" }, h("span", { class: "mdc-list-item__ripple" }), h("span", { class: "mdc-list-item__text" }, h("slot", null))));
  }
};

export { LpSelectOption as lp_select_option };
