declare const _default: {
  title: string;
  parameters: {
    notes: string;
    actions: {
      handles: string[];
    };
  };
  argTypes: {
    variant: {
      options: ("text" | "outlined" | "contained" | "filled")[];
      control: {
        type: string;
      };
    };
    href: {
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
    disabled: {
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
  };
};
export default _default;
export declare const Primary: any;
export declare const Outlined: any;
export declare const Disabled: any;
export declare const WithIcon: any;
