import { EventEmitter } from '../../stencil-public-runtime';
import { Variant } from '../../types/variant.type';
export declare class LpButton {
  /**
   * Button variant.
   */
  variant?: Exclude<Variant, 'filled'>;
  /**
   * Disable button.
   */
  disabled?: boolean;
  clicked: EventEmitter<MouseEvent>;
  handleClick: (event: MouseEvent) => void;
  render(): any;
}
