declare const _default: {
  title: string;
  parameters: {
    notes: string;
  };
  argTypes: {
    intent: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: boolean;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: boolean;
        };
      };
      options: ("none" | "success" | "primary" | "warning" | "danger")[];
    };
  };
};
export default _default;
export declare const Idle: any;
export declare const WithTitle: any;
export declare const WithDangerIntent: any;
export declare const WithSuccessIntent: any;
