/**
 *
 */
export declare class LpCheckbox {
  /**
   * The id of the checkbox used to identify its label within a field form.
   */
  inputId?: string;
  /**
   * Accessible label used when checkbox is not used within a field form.
   */
  ariaLabel?: string;
  /**
   * Set the id of the element acting as label of this checkbox.
   */
  ariaLabelledby?: string;
  /**
   * The current value of the checkbox.
   */
  value?: string;
  /**
   * Whether checkbox is indeterminate or not.
   */
  indeterminate?: boolean;
  /**
   * Whether checkbox is checked or not.
   */
  checked?: boolean;
  /**
   * Whether checkbox is disabled or not.
   */
  disabled?: boolean;
  private hostElement;
  private checkbox?;
  private syncInternalCheckboxState;
  private initiateCheckbox;
  componentDidLoad(): void;
  componentWillUpdate(): void;
  render(): any;
}
