import { EventEmitter } from '../../stencil-public-runtime';
import { Intent } from '../../types/intent.type';
export declare type LpDialogButtonIntent = typeof Intent.PRIMARY | typeof Intent.NONE;
/**
 * Main button used within Dialog.
 *
 * @slot content - Main content of the button typically text.
 *
 */
export declare class LpDialogButton {
  intent?: LpDialogButtonIntent;
  default?: boolean;
  disabled?: boolean;
  clicked: EventEmitter<CustomEvent<MouseEvent>>;
  handleClick(event: CustomEvent<MouseEvent>): void;
  render(): any;
}
