declare const _default: {
  title: string;
  parameters: {
    notes: string;
    actions: {
      handles: string[];
    };
  };
  argTypes: {
    intent: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: "none";
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: boolean;
        };
      };
    };
    onSecondaryClicked: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
    onPrimaryClicked: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
  };
};
export default _default;
export declare const Idle: any;
export declare const PrimaryAction: any;
