import { JSXBase } from '../../stencil-public-runtime';
export declare type Style = JSXBase.HTMLAttributes<HTMLDivElement>['style'];
/**
 * Modal view which should display some data related to transfer.
 *
 * @slot content - Main content of the dialog.
 */
export declare class LpDialog {
  /**
   * Whether the dialog is opened or not.
   */
  isOpen: boolean;
  /**
   * Title of the dialog showed on the top.
   */
  dialogTitle: string;
  /**
   * Style of the dialog surface.
   */
  surfaceStyle?: Style;
  private dialog?;
  componentDidRender(): void;
  render(): any;
}
