/**
 * Table cell that contains data.
 *
 * @slot - Contains data.
 *
 */
export declare class LpTableCell {
  /**
   * The type of the content.
   * Numeric content will be justified on the right.
   */
  type?: 'text' | 'numeric';
  /**
   * Whether the cell contains a checkbox for row selection or not.
   */
  hasCheckbox?: boolean;
  componentDidRender(): void;
  render(): any;
}
