'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Esm v2.12.1 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (index.BUILD.cssVarShim && !(index.CSS && index.CSS.supports && index.CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return Promise.resolve().then(function () { return require(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-f1cdb70c.js'); }).then(() => {
            if ((index.plt.$cssShim$ = index.win.__cssshim)) {
                return index.plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  appGlobals.globalScripts();
  return index.bootstrapLazy([["lp-transfer.cjs",[[4,"lp-transfer",{"config":[16],"date":[1],"isOpen":[32],"state":[32],"currentStep":[32]}]]],["lp-frame.cjs",[[0,"lp-frame",{"src":[1]}]]],["lp-select.cjs",[[4,"lp-select",{"label":[1],"labelledby":[1],"width":[1],"disabled":[4],"required":[4],"value":[1],"selectedIndex":[2,"selected-index"],"helperText":[1,"helper-text"],"valid":[4]}]]],["lp-select-option.cjs",[[4,"lp-select-option",{"value":[1],"selected":[4],"disabled":[4]}]]],["lp-view-selection.cjs",[[0,"lp-view-selection",{"state":[32]}]]],["lp-view-summary.cjs",[[0,"lp-view-summary",{"state":[32]}]]],["lp-view-redirection.cjs",[[0,"lp-view-redirection",{"state":[32],"redirectionUrl":[32]}]]],["lp-dialog.cjs",[[4,"lp-dialog",{"isOpen":[4,"open"],"dialogTitle":[1,"dialog-title"],"surfaceStyle":[16]}]]],["lp-dialog-button.cjs",[[4,"lp-dialog-button",{"intent":[1],"default":[4],"disabled":[4]},[[2,"click","handleClick"]]]]],["lp-anchor-button.cjs",[[4,"lp-anchor-button",{"href":[1],"target":[1],"rel":[1],"variant":[1],"disabled":[4]}]]],["lp-accordion.cjs",[[4,"lp-accordion",{"label":[1],"isOpen":[32]}]]],["lp-checkbox.cjs",[[0,"lp-checkbox",{"inputId":[1,"input-id"],"ariaLabel":[1,"aria-label"],"ariaLabelledby":[1,"aria-labelledby"],"value":[1],"indeterminate":[4],"checked":[4],"disabled":[4]}]]],["lp-dialog-actions.cjs",[[4,"lp-dialog-actions"]]],["lp-employee.cjs",[[4,"lp-employee"]]],["lp-iban.cjs",[[0,"lp-iban",{"iban":[1]}]]],["lp-table.cjs",[[4,"lp-table",{"ariaLabel":[1,"aria-label"]}]]],["lp-table-cell.cjs",[[4,"lp-table-cell",{"type":[1],"hasCheckbox":[4,"has-checkbox"]}]]],["lp-table-cell-header.cjs",[[4,"lp-table-cell-header",{"scope":[1],"cellId":[1,"cell-id"],"type":[1],"hasCheckbox":[4,"has-checkbox"]}]]],["lp-table-row.cjs",[[4,"lp-table-row",{"dataRowId":[1,"data-row-id"],"selected":[4]}]]],["lp-table-row-header.cjs",[[4,"lp-table-row-header"]]],["lp-button.cjs",[[4,"lp-button",{"variant":[1],"disabled":[4]}]]],["lp-callout.cjs",[[4,"lp-callout",{"intent":[1]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
