'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-21761734.js');
const clsx_m = require('./clsx.m-133931d3.js');

let LpAccordion = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Text of the button which is always shown.
     */
    this.label = 'More';
    this.isOpen = false;
    this.handleClick = () => {
      this.isOpen = !this.isOpen;
    };
  }
  render() {
    return (index.h(index.Host, { class: clsx_m.clsx('block overflow-hidden', 'relative before:absolute before:inset-0 before:rounded-large before:bg-primary before:opacity-5') }, index.h("button", { class: "mdc-button mdc-button--icon-leading w-full h-10 relative z-10 px-3 text-left justify-start", onClick: this.handleClick }, index.h("i", { class: clsx_m.clsx('material-icons mdc-button__icon', 'transition-transform duration-75', {
        'rotate-90': this.isOpen,
      }), "aria-hidden": "true" }, index.h("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 18 18", fill: "currentColor" }, index.h("path", { "fill-rule": "evenodd", d: "M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z", "clip-rule": "evenodd" }))), index.h("span", { class: "mdc-button__label" }, this.label)), index.h("div", { class: clsx_m.clsx('px-3', 'transition-all', { 'opacity-0 h-[0px] -translate-y-3': !this.isOpen }, { 'pb-3': this.isOpen }) }, index.h("slot", null))));
  }
};

exports.lp_accordion = LpAccordion;
