import { html } from 'lit-html';
import { Intent } from '../../types/intent.type';
import readme from './readme.md';
export default {
  title: 'Lp Dialog Actions',
  parameters: {
    notes: readme,
  },
};
export const WithDialogButtons = () => {
  return html `
    <lp-dialog-actions>
      <lp-dialog-button>Annuler</lp-dialog-button>
      <lp-dialog-button intent=${Intent.PRIMARY}>Confirmer</lp-dialog-button>
    </lp-dialog-actions>
  `;
};
