import { html } from 'lit-html';
import readme from './readme.md';
export default {
  title: 'Lp Employee',
  parameters: {
    notes: readme,
  },
};
const Template = ({ firstName, lastName }) => html `<lp-employee>
  <span slot="firstName">${firstName}</span>
  <span slot="lastName">${lastName}</span>
</lp-employee>`;
export const Idle = Template.bind({});
Idle.args = {
  firstName: 'Hubert',
  lastName: 'Bonisseur de La Bath',
};
export const CustomSlotClass = () => html `<lp-employee>
  <span slot="firstName">Hubert</span>
  <span slot="lastName" class="font-bold">Bonisseur de La Bath</span>
</lp-employee>`;
