import { r as registerInstance, h, e as Host } from './index-5aee6d0f.js';
import { c as clsx } from './clsx.m-3c237499.js';

let LpTableRow = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, { class: "contents" }, h("tr", { "data-row-id": this.dataRowId, class: clsx('mdc-data-table__row', {
        'mdc-data-table__row--selected': this.selected,
      }) }, h("slot", null))));
  }
};

export { LpTableRow as lp_table_row };
