import { r as registerInstance, h, g as getElement } from './index-5aee6d0f.js';

let LpDialogActions = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.patchLpDialogButtonHostElements = () => {
      const buttons = this.hostElement.querySelectorAll('lp-dialog-button');
      buttons === null || buttons === void 0 ? void 0 : buttons.forEach((button, index) => {
        if (index > 0) {
          button.classList.add('ml-2');
        }
      });
    };
  }
  componentDidRender() {
    this.patchLpDialogButtonHostElements();
  }
  render() {
    return (h("div", { class: "mdc-dialog__actions" }, h("slot", null)));
  }
  get hostElement() { return getElement(this); }
};

export { LpDialogActions as lp_dialog_actions };
