/**
 * Option which should be placed within a `lp-select`.
 *
 */
export declare class LpSelectOption {
  /**
   * Value used by `lp-select` to identify currently selected option.
   */
  value: string;
  /**
   * Whether option is selected or not.
   */
  selected?: boolean;
  /**
   * Whether option is selectable or not.
   */
  disabled?: boolean;
  render(): any;
}
