declare const _default: {
  title: string;
  parameters: {
    notes: string;
  };
  argTypes: {
    scope: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: string;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: string;
        };
      };
      options: string[];
      control: {
        type: string;
      };
    };
    cellId: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
    type: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: string;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: string;
        };
      };
      options: string[];
      control: {
        type: string;
      };
    };
  };
};
export default _default;
export declare const Idle: any;
export declare const RowHeader: any;
export declare const WithCheckbox: () => import("lit-html").TemplateResult<1>;
