declare const _default: {
  title: string;
  parameters: {
    notes: string;
  };
  argTypes: {
    type: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: string;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: string;
        };
      };
      options: string[];
      control: {
        type: string;
      };
    };
    hasCheckbox: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: boolean;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: boolean;
        };
      };
    };
  };
};
export default _default;
export declare const Idle: any;
export declare const WithCheckbox: () => import("lit-html").TemplateResult<1>;
