import { Id } from '../../types/id.type';
/**
 * Table row.
 *
 * @slot - Row content.
 *
 */
export declare class LpTableRow {
  /**
   * Unique row identifier.
   * Mandatory to row selection working.
   */
  dataRowId: Id;
  /**
   * Whether row is selected or not.
   */
  selected?: boolean;
  render(): any;
}
