import { Config } from '@listo-paye/sdk-core';
/**
 * All-in-one component to handle Transfers.
 *
 */
export declare class LpTransfer {
  config: Config;
  date: string;
  private isOpen;
  private state;
  private loading;
  private isLoading;
  private hasErrors;
  private errors;
  private shouldDisablePrimaryAction;
  private orderList;
  private transferPayload;
  private currentStep;
  private unsubscribe;
  private handleStoreChange;
  private loadSDK;
  previous: () => void;
  next: () => void;
  handleOpenView: () => Promise<void>;
  handleCancel: () => void;
  handleContinue: () => void;
  handlePrevious: () => void;
  handleInitiatePayement: () => void;
  componentWillLoad(): Promise<void>;
  render(): any;
  disconnectedCallback(): void;
}
