declare const _default: {
  title: string;
  parameters: {
    notes: string;
    actions: {
      handles: string[];
    };
  };
  argTypes: {
    open: {
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: boolean;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: boolean;
        };
      };
    };
    dialogTitle: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      defaultValue: string;
      description: string;
      table: {
        type: {
          summary: string;
        };
        defaultValue: {
          summary: string;
        };
      };
    };
    onCanceled: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
    onConfirmed: {
      name: string;
      type: {
        name: string;
        required: boolean;
      };
      description: string;
      table: {
        type: {
          summary: string;
        };
      };
    };
  };
};
export default _default;
export declare const Idle: any;
